Index: BOOK/Makefile
===================================================================
--- BOOK/Makefile	(revision 51f139716be06666061dfff3bc934eefd1d52460)
+++ BOOK/Makefile	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -76,5 +76,5 @@
 endef
 
-lfs: toplevel render common
+clfs: toplevel render common
 
 toplevel:
@@ -132,3 +132,41 @@
 	done
 
-.PHONY: lfs toplevel common render nochunk nochunk_render pdf text validate trouble dump-commands download-list
+target-list:
+	@printf "%-15s %-10s\n" "Architecture" "Build Type" ;\
+	for arch in $(ARCH) ; do \
+	MULTILIB=0 ;\
+	PURE64=0 ;\
+	TEST="`echo $$arch | grep -c -e '-64'`" ;\
+	if [ "$$TEST" = "1" ]; then \
+		PURE64=1 ;\
+	else \
+		TEST="`echo $$arch | grep -c -e '64'`" ;\
+		if [ "$$TEST" = "1" ]; then \
+			MULTILIB=1 ;\
+		fi; \
+	fi; \
+	if [ "$$PURE64" = "1" ]; then \
+		printf "%-15s %-10s\n" $$arch "Pure 64" ;\
+	else \
+		if [ "$$MULTILIB" = "1" ]; then \
+			printf "%-15s %-10s\n" $$arch "Multilib" ;\
+		else \
+			printf "%-15s %-10s\n" $$arch "Default" ;\
+		fi; \
+	fi; \
+	done
+
+help:
+	@printf "%-25s %-20s\n" "Command" "Function"
+	@printf "%-25s %-20s\n" "make download-list" "Create download file lists"
+	@printf "%-25s %-20s\n" "make dump-commands" "Dump all the commands from the book"
+	@printf "%-25s %-20s\n" "make clfs" "Make the standard multilib page book"
+	@printf "%-25s %-20s\n" "make nochunks" "Make single html file book"
+	@printf "%-25s %-20s\n" "make pdf" "Make pdf copy of the book"
+	@printf "%-25s %-20s\n" "make target-list" "Get List of Architecture targets"
+	@printf "%-25s %-20s\n" "make test" "Make a text copy of the book"
+	@printf "%-25s %-20s\n" "make trouble" "Make a copy tha's easy to troubleshoot"
+	@printf "%-25s %-20s\n" "make validate" "Run book validation"
+
+.PHONY: clfs toplevel common render nochunks nochunk_render pdf text validate trouble dump-commands download-list \
+	target-list help
Index: BOOK/README
===================================================================
--- BOOK/README	(revision 51f139716be06666061dfff3bc934eefd1d52460)
+++ BOOK/README	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -1,3 +1,3 @@
-LFS Book README
+CLFS Book README
 
 This document is meant to instruct the user on how to convert the book's XML 
@@ -7,4 +7,8 @@
 INSTALL file, then continue reading for examples how to convert these files into
 various other formats.
+
+By default all books will be generated, to only generate the target your want
+you can specify ARCH={target} to create a particular book to any of the command
+lines below. To get a list of targets use make target-list
 
 XML to XHTML:
